Bug 966451 - PartitionException: Attempting to remove a partition that is not owned by any disk.
PartitionException: Attempting to remove a partition that is not owned by any...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:b72ad4612ce096790ee02686229...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 06:18 EDT by Adam Williamson
Modified: 2014-12-08 17:48 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-08 17:48:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (816.15 KB, text/plain)
2013-05-23 06:19 EDT, Adam Williamson
no flags Details
File: anaconda.log (26.03 KB, text/plain)
2013-05-23 06:19 EDT, Adam Williamson
no flags Details
File: backtrace (1.19 KB, text/plain)
2013-05-23 06:19 EDT, Adam Williamson
no flags Details
File: environ (760 bytes, text/plain)
2013-05-23 06:19 EDT, Adam Williamson
no flags Details
File: ifcfg.log (567 bytes, text/plain)
2013-05-23 06:19 EDT, Adam Williamson
no flags Details
File: lsblk_output (1.78 KB, text/plain)
2013-05-23 06:19 EDT, Adam Williamson
no flags Details
File: nmcli_dev_list (3.38 KB, text/plain)
2013-05-23 06:19 EDT, Adam Williamson
no flags Details
File: packaging.log (347.66 KB, text/plain)
2013-05-23 06:19 EDT, Adam Williamson
no flags Details
File: program.log (28.22 KB, text/plain)
2013-05-23 06:19 EDT, Adam Williamson
no flags Details
File: storage.log (194.04 KB, text/plain)
2013-05-23 06:19 EDT, Adam Williamson
no flags Details
File: syslog (71.52 KB, text/plain)
2013-05-23 06:19 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2013-05-23 06:18:57 EDT
Description of problem:
I was trying to reproduce 959677, so I messed about with disk selection, going in and out of the installation destination spoke several times, and I ran through 'reclaim space' with a single disk selected once. Ultimately, I ran through 'reclaim space' with two disks selected, which contained an F19 Beta RC4 install to a 500MB ext4 /boot, a 4GB swap and a 9.5GB / as a software RAID-1 array.
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 269, in removePartition
    if self.__disk.remove_partition(partition.getPedPartition()):
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 328, in removePartition
    self.partedDisk.removePartition(partition)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 302, in _removeDevice
    dev.disk.format.removePartition(dev.partedPartition)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 344, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1175, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 737, in recursiveRemove
    self.destroyDevice(leaf)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 372, in _scheduleActions
    self.storage.recursiveRemove(device)
PartitionException: Attempting to remove a partition that is not owned by any disk.

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 372, in _scheduleActions
    self.storage.recursiveRemove(device)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 737, in recursiveRemove
    self.destroyDevice(leaf)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1175, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 344, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 302, in _removeDevice
    dev.disk.format.removePartition(dev.partedPartition)
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 328, in removePartition
    self.partedDisk.removePartition(partition)
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
    ret = fn(*args, **kwds)
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 269, in removePartition
    if self.__disk.remove_partition(partition.getPedPartition()):
PartitionException: Attempting to remove a partition that is not owned by any disk.
Comment 1 Adam Williamson 2013-05-23 06:19:04 EDT
Created attachment 752118 [details]
File: anaconda-tb
Comment 2 Adam Williamson 2013-05-23 06:19:09 EDT
Created attachment 752119 [details]
File: anaconda.log
Comment 3 Adam Williamson 2013-05-23 06:19:13 EDT
Created attachment 752120 [details]
File: backtrace
Comment 4 Adam Williamson 2013-05-23 06:19:17 EDT
Created attachment 752121 [details]
File: environ
Comment 5 Adam Williamson 2013-05-23 06:19:21 EDT
Created attachment 752122 [details]
File: ifcfg.log
Comment 6 Adam Williamson 2013-05-23 06:19:25 EDT
Created attachment 752123 [details]
File: lsblk_output
Comment 7 Adam Williamson 2013-05-23 06:19:29 EDT
Created attachment 752124 [details]
File: nmcli_dev_list
Comment 8 Adam Williamson 2013-05-23 06:19:33 EDT
Created attachment 752125 [details]
File: packaging.log
Comment 9 Adam Williamson 2013-05-23 06:19:37 EDT
Created attachment 752126 [details]
File: program.log
Comment 10 Adam Williamson 2013-05-23 06:19:41 EDT
Created attachment 752128 [details]
File: storage.log
Comment 11 Adam Williamson 2013-05-23 06:19:44 EDT
Created attachment 752130 [details]
File: syslog
Comment 12 D. Wagner 2013-10-17 20:50:55 EDT
I tried "reclaim space", and when it tried to format/partition the drive (before installing), I got this PartitionException error.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora\x2019\x20x86_64 quiet
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
package:        anaconda-19.30.13-1
product:        Fedora
reason:         PartitionException: Partition is not part of the disk it is being removed from
release:        Cannot get release name.
version:        19
Comment 13 David Shea 2014-12-08 17:35:24 EST
Does this issue still occur with F21? Can you provide a reproducer that doesn't have "mess about" as a step?
Comment 14 Adam Williamson 2014-12-08 17:42:24 EST
Don't think I've ever seen this one since. I tend to report all crashes I hit just in case they can be diagnosed / fixed from the traceback, but if this one can't be worked on without more details, go ahead and close it, I doubt I can reproduce it at will.

Note You need to log in before you can comment on or make changes to this bug.